_OrtpEventData Struct Reference

## Data Fields

mblk_t * | packet
struct sockaddr_storage | source_addr
socklen_t | source_addrlen
ortpTimeSpec | ts
union { |
int sequence_number_diff |
int telephone_event |
int payload_type |
bool_t dtls_stream_encrypted |
bool_t zrtp_stream_encrypted |
bool_t ice_processing_successful |
struct _ZrtpInfo { |
char sas [32] |
bool_t verified |
bool_t cache_mismatch |
bool_t pad [2] |
int cipherAlgo |
int keyAgreementAlgo |
int hashAlgo |
int authTagAlgo |
int sasAlgo |
} zrtp_info
struct _SrtpInfo { |
bool_t is_send |
bool_t is_inner |
int source |
int suite |
} srtp_info
OrtpSocketType socket_type |
uint32_t received_rtt_character |
bool_t congestion_detected |
float video_bandwidth_available |
float audio_bandwidth_available |
int jitter_min_size_for_nack |
uint16_t reconstructed_packet_seq_number |
} | info

## Field Documentation

## is_inner

bool_t _OrtpEventData::is_inner

this info applies to inner encryption (in case of SRTP double encryption)

## is_send

bool_t _OrtpEventData::is_send

stream direction this is applied too

## source

int _OrtpEventData::source

the source of the key material as defined in MSSrtpKeySource enum in ms_strp.h

## suite

int _OrtpEventData::suite

the srtp crypto suite used as defined in MSCryptoSuite enum in ms_srtp.h

The documentation for this struct was generated from the following file:

- event.h